Subject: bug#6419: A suggestion for easier editing of lists in Custom buffers

From: Lennart Borgman <[email-masked]>
Date: Mon, 14 Jun 2010 07:47:04 +0200

Moving things in a list in a custom buffer is not very easy currently,
especially not if it contains nested lists. I have been thinking of
implementing some up/down arrows to permit moving of subtrees, but
that is also rather clumsy so I have refrained from it.

Here is another idea which perhaps both is more useful and easier to implement:

A) When clicking on a [-] do delete a subtree save (a print
representation) of it to the clipboard/kill ring (beside deleting the
subtree, of course ;-)

B) When on a [+] do add a new subtree give the possibility to paste
the deleted subtree in this position.

A is of course no problem to implement. B is probably not that hard to
implement either if one has the (sub)type for the subtree available on
the [+] button.